<?php
/*  Drupal starter theme provided by gazwal.com - Freelance Drupal Development Services  */


// Form override fo theme settings
function fueldeluxe_form_system_theme_settings_alter(&$form, $form_state) {

	$form['options_settings'] = array(
		'#type'        => 'fieldset',
		'#title'       => t('FuelDeLuxe D7 theme settings'),
		'#collapsible' => FALSE,
		'#collapsed'   => FALSE
	);

	// Breadcrumb
	$form['options_settings']['fdl_breadcrumb'] = array(
		'#type'          => 'fieldset',
		'#title'         => t('Breadcrumb settings'),
		'#attributes'    => array('id' => 'fdl-breadcrumb'),
		'#collapsible'   => TRUE,
		'#collapsed'     => TRUE,
	);

	$form['options_settings']['fdl_breadcrumb']['fdl_breadcrumb'] = array(
		'#type'          => 'select',
		'#title'         => t('Display breadcrumb'),
		'#default_value' => theme_get_setting('fdl_breadcrumb'),
		'#options'       => array(
			'yes'   => t('Yes'),
			'admin' => t('Only in admin section'),
			'no'    => t('No'),
		),
	);

	$form['options_settings']['fdl_breadcrumb']['fdl_breadcrumb_separator'] = array(
		'#type'          => 'textfield',
		'#title'         => t('Breadcrumb separator'),
		'#description'   => t('Text only. Don’t forget to include spaces.'),
		'#default_value' => theme_get_setting('fdl_breadcrumb_separator'),
		'#size'          => 5,
		'#maxlength'     => 10,
	);

	$form['options_settings']['fdl_breadcrumb']['fdl_breadcrumb_home'] = array(
		'#type'          => 'checkbox',
		'#title'         => t('Show home page link in breadcrumb'),
		'#default_value' => theme_get_setting('fdl_breadcrumb_home'),
	);

	$form['options_settings']['fdl_breadcrumb']['fdl_breadcrumb_trailing'] = array(
		'#type'          => 'checkbox',
		'#title'         => t('Append a separator to the end of the breadcrumb'),
		'#default_value' => theme_get_setting('fdl_breadcrumb_trailing'),
		'#description'   => t('Useful when the breadcrumb is placed just before the title.'),
	);

	$form['options_settings']['fdl_breadcrumb']['fdl_breadcrumb_title'] = array(
		'#type'          => 'checkbox',
		'#title'         => t('Append the content title to the end of the breadcrumb'),
		'#default_value' => theme_get_setting('fdl_breadcrumb_title'),
		'#description'   => t('Useful when the breadcrumb is not placed just before the title.'),
	);

	// FONT
	$form['options_settings']['font'] = array(
		'#type' => 'fieldset',
		'#title' => t('Font settings'),
		'#collapsible' => TRUE,
		'#collapsed' => TRUE,
	);

	$form['options_settings']['font']['font_family'] = array(
		'#type' => 'select',
		'#title' => t('Font family'),
		'#default_value' => theme_get_setting('font_family'),
		'#options' => array(
			'ff-s01' => t('Times, Times New Roman, Liberation Serif, serif'),
			'ff-s02' => t('Georgia, DejaVu Serif, Norasi, serif'),
			'ff-ss01' => t('Arial, Helvetica, Liberation Sans, FreeSans, sans-serif'),
			'ff-ss02' => t('Trebuchet MS, Arial, Helvetica, sans-serif'),
			'ff-ss03' => t('Lucida Sans, Lucida Grande, Lucida Sans Unicode, Luxi Sans, sans-serif'),
			'ff-ss04' => t('Tahoma, Geneva, Kalimati, sans-seri'),
			'ff-ss05' => t('Verdana, DejaVu Sans, Bitstream Vera Sans, Geneva, sans-serif'),
		),
	);

	$form['options_settings']['font']['font_size'] = array(
		'#type' => 'select',
		'#title' => t('Font size'),
		'#default_value' => theme_get_setting('font_size'),
		'#options' => array(
			'fs-10' => t('10px'),
			'fs-11' => t('11px'),
			'fs-12' => t('12px'),
			'fs-13' => t('13px'),
			'fs-14' => t('14px'),
			'fs-15' => t('15px'),
			'fs-16' => t('16px'),
		),
	);

	// Clear registry
	$form['options_settings']['clear_registry'] = array(
		'#type' => 'checkbox',
		'#title' =>  t('Rebuild theme registry on every page.'),
		'#description'   =>t('During theme development, it can be very useful to continuously <a href="!link">rebuild the theme registry</a>. WARNING: this is a huge performance penalty and must be turned off on production websites.', array('!link' => 'http://drupal.org/node/173880#theme-registry')),
		'#default_value' => theme_get_setting('clear_registry'),
	);

}